Page MenuHomePhabricator

Change date format for Wuu
Closed, ResolvedPublic

Description

Please set date format in Wuu language to 'Y年n月j号' instead of current version 'Y年n月j日'.

Event Timeline

Lantern created this task.Jan 28 2016, 7:29 AM
Lantern raised the priority of this task from to Normal.
Lantern updated the task description. (Show Details)
Lantern added a subscriber: Lantern.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2016, 7:29 AM

Is there a reference for this statement / change request?

In the news template, all dates are in 'n月j号' format.

Lantern updated the task description. (Show Details)Feb 1 2016, 8:13 AM
Lantern added a project: I18n.
Lantern set Security to None.
Lantern added a subscriber: Dereckson.

I wonder if...

MessagesWuu.php
$datePreferences = [
	'default',
	'ISO 8601',
];
$defaultDateFormat = 'wuu';
$dateFormats = [
	'wuu time'            => 'H:i',
	'wuu date'            => 'Y年n月j号 (D)',
	'wuu both'            => 'Y年n月j号 (D) H:i',
];

would do it.

Change 326093 had a related patch set uploaded (by MarcoAurelio):
Update date format for Wu language

https://gerrit.wikimedia.org/r/326093

Change 326093 merged by jenkins-bot:
Update date format for Wu language

https://gerrit.wikimedia.org/r/326093

MarcoAurelio closed this task as Resolved.Dec 20 2016, 1:24 PM
MarcoAurelio claimed this task.